package code.name.monkey.retromusic;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;

import androidx.coordinatorlayout.widget.CoordinatorLayout;

import com.google.android.material.bottomsheet.BottomSheetBehavior;


public class RetroBottomSheetBehavior<V extends View> extends BottomSheetBehavior<V> {

    private static final String TAG = "CustomBottomSheetBehavi";

    private boolean allowDragging = true;

    public RetroBottomSheetBehavior() {
    }

    public RetroBottomSheetBehavior(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public void setAllowDragging(boolean allowDragging) {
        this.allowDragging = allowDragging;
    }

    @Override
    public boolean onInterceptTouchEvent(CoordinatorLayout parent, V child, MotionEvent event) {
        if (!allowDragging) {
            return false;
        }
        return super.onInterceptTouchEvent(parent, child, event);
    }
}